# -------------------------------------------------------------------------------------------------
#<profile4xi profile = "11" />
#<program4xi program = "dummy_process4xi_zap.py">
#<abstract4xi abstract = "Provides Actor SphereKB4Xi for TeleScope4Xi"/>
#<refer4xi reference = "zap2actor4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------


# -------------------------------------------------------------------------------------------------
# Public API
# ------------------------------------------------------------------------------------------------- 
#<interface4xi interface = " 
__all__ = [ "None" ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
from decimal import *
from math import pi
from math import sin
from math import cos 
from math import fabs

#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from time4xi import time4xi
#"
#/>
# -------------------------------------------------------------------------------------------------
# Settings - functions, classes and ALL class methods with possible synonyms for XML
# -------------------------------------------------------------------------------------------------
SphereKB4Xi = {
    }
SphereKB4Xi[0] = {}
SphereKB4Xi[1] = {}
SphereKB4Xi[2] = {}
SphereKB4Xi[3] = {}
SphereKB4Xi[4] = {}
SphereKB4Xi[5] = {}
SphereKB4Xi[6] = {}
SphereKB4Xi[7] = {}
SphereKB4Xi[8] = {}
SphereKB4Xi[0][0]  = {}
SphereKB4Xi[1][2]  = {}
SphereKB4Xi[1][10]  = {}
SphereKB4Xi[1][100]  = {}
SphereKB4Xi[1][200]  = {}
SphereKB4Xi[1][300]  = {}
SphereKB4Xi[1][400]  = {}
SphereKB4Xi[1][500]  = {}
SphereKB4Xi[1][600]  = {}
SphereKB4Xi[1][700]  = {}
SphereKB4Xi[1][800]  = {}
SphereKB4Xi[1][900]  = {}
SphereKB4Xi[1][1000]  = {}
SphereKB4Xi[1][1100]  = {}
SphereKB4Xi[1][1200]  = {}
SphereKB4Xi[1][1300]  = {}
SphereKB4Xi[1][1400]  = {}
SphereKB4Xi[1][1500]  = {}
SphereKB4Xi[1][1600]  = {}
SphereKB4Xi[1][1700]  = {}
SphereKB4Xi[1][1800]  = {}
SphereKB4Xi[1][1900]  = {}
SphereKB4Xi[1][2000]  = {}
SphereKB4Xi[1][2100]  = {}
SphereKB4Xi[1][2200]  = {}
SphereKB4Xi[1][2300]  = {}
SphereKB4Xi[1][2400]  = {}
SphereKB4Xi[1][2500]  = {}
SphereKB4Xi[1][2600]  = {}
SphereKB4Xi[1][2700]  = {}
SphereKB4Xi[1][2800]  = {}
SphereKB4Xi[1][2900]  = {}
SphereKB4Xi[1][3000]  = {}
SphereKB4Xi[1][3100]  = {}
SphereKB4Xi[1][3200]  = {}
SphereKB4Xi[1][3300]  = {}
SphereKB4Xi[2][2]  = {}
SphereKB4Xi[2][10]  = {}
SphereKB4Xi[2][100]  = {}
SphereKB4Xi[2][200]  = {}
SphereKB4Xi[2][300]  = {}
SphereKB4Xi[2][400]  = {}
SphereKB4Xi[2][500]  = {}
SphereKB4Xi[2][600]  = {}
SphereKB4Xi[2][700]  = {}
SphereKB4Xi[2][800]  = {}
SphereKB4Xi[2][900]  = {}
SphereKB4Xi[2][1000]  = {}
SphereKB4Xi[2][1100]  = {}
SphereKB4Xi[2][1200]  = {}
SphereKB4Xi[2][1300]  = {}
SphereKB4Xi[2][1400]  = {}
SphereKB4Xi[2][1500]  = {}
SphereKB4Xi[2][1600]  = {}
SphereKB4Xi[2][1700]  = {}
SphereKB4Xi[2][1800]  = {}
SphereKB4Xi[2][1900]  = {}
SphereKB4Xi[2][2000]  = {}
SphereKB4Xi[2][2100]  = {}
SphereKB4Xi[2][2200]  = {}
SphereKB4Xi[2][2300]  = {}
SphereKB4Xi[2][2400]  = {}
SphereKB4Xi[2][2500]  = {}
SphereKB4Xi[2][2600]  = {}
SphereKB4Xi[2][2700]  = {}
SphereKB4Xi[2][2800]  = {}
SphereKB4Xi[2][2900]  = {}
SphereKB4Xi[2][3000]  = {}
SphereKB4Xi[2][3100]  = {}
SphereKB4Xi[2][3200]  = {}
SphereKB4Xi[2][3300]  = {}
SphereKB4Xi[3][2]  = {}
SphereKB4Xi[3][10]  = {}
SphereKB4Xi[3][100]  = {}
SphereKB4Xi[3][200]  = {}
SphereKB4Xi[3][300]  = {}
SphereKB4Xi[3][400]  = {}
SphereKB4Xi[3][500]  = {}
SphereKB4Xi[3][600]  = {}
SphereKB4Xi[3][700]  = {}
SphereKB4Xi[3][800]  = {}
SphereKB4Xi[3][900]  = {}
SphereKB4Xi[3][1000]  = {}
SphereKB4Xi[3][1100]  = {}
SphereKB4Xi[3][1200]  = {}
SphereKB4Xi[3][1300]  = {}
SphereKB4Xi[3][1400]  = {}
SphereKB4Xi[3][1500]  = {}
SphereKB4Xi[3][1600]  = {}
SphereKB4Xi[3][1700]  = {}
SphereKB4Xi[3][1800]  = {}
SphereKB4Xi[3][1900]  = {}
SphereKB4Xi[3][2000]  = {}
SphereKB4Xi[3][2100]  = {}
SphereKB4Xi[3][2200]  = {}
SphereKB4Xi[3][2300]  = {}
SphereKB4Xi[3][2400]  = {}
SphereKB4Xi[3][2500]  = {}
SphereKB4Xi[3][2600]  = {}
SphereKB4Xi[3][2700]  = {}
SphereKB4Xi[3][2800]  = {}
SphereKB4Xi[3][2900]  = {}
SphereKB4Xi[3][3000]  = {}
SphereKB4Xi[3][3100]  = {}
SphereKB4Xi[3][3200]  = {}
SphereKB4Xi[3][3300]  = {}
SphereKB4Xi[4][2]  = {}
SphereKB4Xi[4][10]  = {}
SphereKB4Xi[4][100]  = {}
SphereKB4Xi[4][200]  = {}
SphereKB4Xi[4][300]  = {}
SphereKB4Xi[4][400]  = {}
SphereKB4Xi[4][500]  = {}
SphereKB4Xi[4][600]  = {}
SphereKB4Xi[4][700]  = {}
SphereKB4Xi[4][800]  = {}
SphereKB4Xi[4][900]  = {}
SphereKB4Xi[4][1000]  = {}
SphereKB4Xi[4][1100]  = {}
SphereKB4Xi[4][1200]  = {}
SphereKB4Xi[4][1300]  = {}
SphereKB4Xi[4][1400]  = {}
SphereKB4Xi[4][1500]  = {}
SphereKB4Xi[4][1600]  = {}
SphereKB4Xi[4][1700]  = {}
SphereKB4Xi[4][1800]  = {}
SphereKB4Xi[4][1900]  = {}
SphereKB4Xi[4][2000]  = {}
SphereKB4Xi[4][2100]  = {}
SphereKB4Xi[4][2200]  = {}
SphereKB4Xi[4][2300]  = {}
SphereKB4Xi[4][2400]  = {}
SphereKB4Xi[4][2500]  = {}
SphereKB4Xi[4][2600]  = {}
SphereKB4Xi[4][2700]  = {}
SphereKB4Xi[4][2800]  = {}
SphereKB4Xi[4][2900]  = {}
SphereKB4Xi[4][3000]  = {}
SphereKB4Xi[4][3100]  = {}
SphereKB4Xi[4][3200]  = {}
SphereKB4Xi[4][3300]  = {}
SphereKB4Xi[5][2]  = {}
SphereKB4Xi[5][10]  = {}
SphereKB4Xi[5][100]  = {}
SphereKB4Xi[5][200]  = {}
SphereKB4Xi[5][300]  = {}
SphereKB4Xi[5][400]  = {}
SphereKB4Xi[5][500]  = {}
SphereKB4Xi[5][600]  = {}
SphereKB4Xi[5][700]  = {}
SphereKB4Xi[5][800]  = {}
SphereKB4Xi[5][900]  = {}
SphereKB4Xi[5][1000]  = {}
SphereKB4Xi[5][1100]  = {}
SphereKB4Xi[5][1200]  = {}
SphereKB4Xi[5][1300]  = {}
SphereKB4Xi[5][1400]  = {}
SphereKB4Xi[5][1500]  = {}
SphereKB4Xi[5][1600]  = {}
SphereKB4Xi[5][1700]  = {}
SphereKB4Xi[5][1800]  = {}
SphereKB4Xi[5][1900]  = {}
SphereKB4Xi[5][2000]  = {}
SphereKB4Xi[5][2100]  = {}
SphereKB4Xi[5][2200]  = {}
SphereKB4Xi[5][2300]  = {}
SphereKB4Xi[5][2400]  = {}
SphereKB4Xi[5][2500]  = {}
SphereKB4Xi[5][2600]  = {}
SphereKB4Xi[5][2700]  = {}
SphereKB4Xi[5][2800]  = {}
SphereKB4Xi[5][2900]  = {}
SphereKB4Xi[5][3000]  = {}
SphereKB4Xi[5][3100]  = {}
SphereKB4Xi[5][3200]  = {}
SphereKB4Xi[5][3300]  = {}
SphereKB4Xi[6][2]  = {}
SphereKB4Xi[6][10]  = {}
SphereKB4Xi[6][100]  = {}
SphereKB4Xi[6][200]  = {}
SphereKB4Xi[6][300]  = {}
SphereKB4Xi[6][400]  = {}
SphereKB4Xi[6][500]  = {}
SphereKB4Xi[6][600]  = {}
SphereKB4Xi[6][700]  = {}
SphereKB4Xi[6][800]  = {}
SphereKB4Xi[6][900]  = {}
SphereKB4Xi[6][1000]  = {}
SphereKB4Xi[6][1100]  = {}
SphereKB4Xi[6][1200]  = {}
SphereKB4Xi[6][1300]  = {}
SphereKB4Xi[6][1400]  = {}
SphereKB4Xi[6][1500]  = {}
SphereKB4Xi[6][1600]  = {}
SphereKB4Xi[6][1700]  = {}
SphereKB4Xi[6][1800]  = {}
SphereKB4Xi[6][1900]  = {}
SphereKB4Xi[6][2000]  = {}
SphereKB4Xi[6][2100]  = {}
SphereKB4Xi[6][2200]  = {}
SphereKB4Xi[6][2300]  = {}
SphereKB4Xi[6][2400]  = {}
SphereKB4Xi[6][2500]  = {}
SphereKB4Xi[6][2600]  = {}
SphereKB4Xi[6][2700]  = {}
SphereKB4Xi[6][2800]  = {}
SphereKB4Xi[6][2900]  = {}
SphereKB4Xi[6][3000]  = {}
SphereKB4Xi[6][3100]  = {}
SphereKB4Xi[6][3200]  = {}
SphereKB4Xi[6][3300]  = {}
SphereKB4Xi[7][2]  = {}
SphereKB4Xi[7][10]  = {}
SphereKB4Xi[7][100]  = {}
SphereKB4Xi[7][200]  = {}
SphereKB4Xi[7][300]  = {}
SphereKB4Xi[7][400]  = {}
SphereKB4Xi[7][500]  = {}
SphereKB4Xi[7][600]  = {}
SphereKB4Xi[7][700]  = {}
SphereKB4Xi[7][800]  = {}
SphereKB4Xi[7][900]  = {}
SphereKB4Xi[7][1000]  = {}
SphereKB4Xi[7][1100]  = {}
SphereKB4Xi[7][1200]  = {}
SphereKB4Xi[7][1300]  = {}
SphereKB4Xi[7][1400]  = {}
SphereKB4Xi[7][1500]  = {}
SphereKB4Xi[7][1600]  = {}
SphereKB4Xi[7][1700]  = {}
SphereKB4Xi[7][1800]  = {}
SphereKB4Xi[7][1900]  = {}
SphereKB4Xi[7][2000]  = {}
SphereKB4Xi[7][2100]  = {}
SphereKB4Xi[7][2200]  = {}
SphereKB4Xi[7][2300]  = {}
SphereKB4Xi[7][2400]  = {}
SphereKB4Xi[7][2500]  = {}
SphereKB4Xi[7][2600]  = {}
SphereKB4Xi[7][2700]  = {}
SphereKB4Xi[7][2800]  = {}
SphereKB4Xi[7][2900]  = {}
SphereKB4Xi[7][3000]  = {}
SphereKB4Xi[7][3100]  = {}
SphereKB4Xi[7][3200]  = {}
SphereKB4Xi[7][3300]  = {}
SphereKB4Xi[8][2]  = {}
SphereKB4Xi[8][10]  = {}
SphereKB4Xi[8][100]  = {}
SphereKB4Xi[8][200]  = {}
SphereKB4Xi[8][300]  = {}
SphereKB4Xi[8][400]  = {}
SphereKB4Xi[8][500]  = {}
SphereKB4Xi[8][600]  = {}
SphereKB4Xi[8][700]  = {}
SphereKB4Xi[8][800]  = {}
SphereKB4Xi[8][900]  = {}
SphereKB4Xi[8][1000]  = {}
SphereKB4Xi[8][1100]  = {}
SphereKB4Xi[8][1200]  = {}
SphereKB4Xi[8][1300]  = {}
SphereKB4Xi[8][1400]  = {}
SphereKB4Xi[8][1500]  = {}
SphereKB4Xi[8][1600]  = {}
SphereKB4Xi[8][1700]  = {}
SphereKB4Xi[8][1800]  = {}
SphereKB4Xi[8][1900]  = {}
SphereKB4Xi[8][2000]  = {}
SphereKB4Xi[8][2100]  = {}
SphereKB4Xi[8][2200]  = {}
SphereKB4Xi[8][2300]  = {}
SphereKB4Xi[8][2400]  = {}
SphereKB4Xi[8][2500]  = {}
SphereKB4Xi[8][2600]  = {}
SphereKB4Xi[8][2700]  = {}
SphereKB4Xi[8][2800]  = {}
SphereKB4Xi[8][2900]  = {}
SphereKB4Xi[8][3000]  = {}
SphereKB4Xi[8][3100]  = {}
SphereKB4Xi[8][3200]  = {}
SphereKB4Xi[8][3300]  = {}
SphereKB4Xi[0][0]["0x0y0z"] = {'4xi': {}, '2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y-1z', 16: '1x1y1z', 17: '-1x-1y-1z', 18: '1x1y1z', 19: '__init__.py'}, '8xi': {}}
SphereKB4Xi[1][2]["1x1y1z"] = {'4xi': {}, '2xi': {1: 1, 2: 2, 3: {1: 6.283185307179586, 2: '#848484', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y1z', 5: '#6F4A20', 6: 1, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-1Skeleton4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '0x0y0z', 16: '1x-1y-1z', 17: '0x0y3299z', 18: '0x0y3199z', 19: 'zap0000one4xi.py'}, '8xi': {}}
SphereKB4Xi[1][3200]["0x0y3199z"] = {'4xi': {}, '2xi': {1: 1, 2: 3200, 3: {1: 16084954.386379741, 2: '#848484', 3: 1, 4: 16084954.386379741}, 4: 'dragon0x0y3199z', 5: '#7C6142', 6: 3201, 7: 1, 8: 3200, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y3199z', 18: '0x0y3199z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[1][3300]["0x0y3299z"] = {'4xi': {}, '2xi': {1: 1, 2: 3300, 3: {1: 17105971.998796422, 2: '#848484', 3: 1, 4: 17105971.998796422}, 4: 'dragon0x0y3299z', 5: '#9BA2A2', 6: 3302, 7: 1, 8: 3300, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y3299z', 18: '0x0y3299z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[2][2]["1x-1y-1z"] = {'4xi': {}, '2xi': {1: 2, 2: 2, 3: {1: 6.283185307179586, 2: '#D7D0CA', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y-1z', 5: '#7F5321', 6: 2, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-2Skeleton4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y1z', 16: '1x1y-1z', 17: '1001x-859y-3024z', 18: '1004x-694y-2957z', 19: 'zap0000two4xi.py'}, '8xi': {}}
SphereKB4Xi[2][3200]["1004x-694y-2957z"] = {'4xi': {}, '2xi': {1: 2, 2: 3200, 3: {1: 16084954.386379741, 2: '#D7D0CA', 3: 1, 4: 16084954.386379741}, 4: 'dragon1004x-694y-2957z', 5: '#F55A5A', 6: 3202, 7: 2, 8: 3200, 9: 0, 10: 2, 11: '{started; sense-of-Cluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1004x-694y-2957z', 18: '1004x-694y-2957z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[2][3300]["1001x-859y-3024z"] = {'4xi': {}, '2xi': {1: 2, 2: 3300, 3: {1: 17105971.998796422, 2: '#D7D0CA', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-859y-3024z', 5: '#0080FF', 6: 3303, 7: 1, 8: 3300, 9: 0, 10: 2, 11: '{started; sense-of-SuperCluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-859y-3024z', 18: '1001x-859y-3024z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[3][2]["1x1y-1z"] = {'4xi': {}, '2xi': {1: 3, 2: 2, 3: {1: 6.283185307179586, 2: '#C3BDB7', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y-1z', 5: '#95652E', 6: 3, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-3Skeleton4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y-1z', 16: '1x-1y1z', 17: '0x3106y-769z', 18: '0x3106y-769z', 19: 'zap0000three4xi.py'}, '8xi': {}}
SphereKB4Xi[3][3200]["0x3106y-769z"] = {'4xi': {}, '2xi': {1: 3, 2: 3200, 3: {1: 16084954.386379741, 2: '#C3BDB7', 3: 1, 4: 16084954.386379741}, 4: 'dragon0x3106y-769z', 5: '#0080FF', 6: 3203, 7: 3, 8: 3200, 9: 0, 10: 3, 11: '{started; sense-of-Cluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x3106y-769z', 18: '0x3106y-769z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[4][2]["1x-1y1z"] = {'4xi': {}, '2xi': {1: 4, 2: 2, 3: {1: 6.283185307179586, 2: '#AFAAA5', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y1z', 5: '#AB712F', 6: 4, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-4Skeleton4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y-1z', 16: '-1x1y1z', 17: '1001x-3083y614z', 18: '1002x-1179y2800z', 19: 'zap0000four4xi.py'}, '8xi': {}}
SphereKB4Xi[4][3200]["1002x-1179y2800z"] = {'4xi': {}, '2xi': {1: 4, 2: 3200, 3: {1: 16084954.386379741, 2: '#AFAAA5', 3: 1, 4: 16084954.386379741}, 4: 'dragon1002x-1179y2800z', 5: '#F3F947', 6: 3207, 7: 7, 8: 3200, 9: 0, 10: 4, 11: '{started; sense-of-Cluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1002x-1179y2800z', 18: '1002x-1179y2800z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[4][3300]["1001x-3083y614z"] = {'4xi': {}, '2xi': {1: 4, 2: 3300, 3: {1: 17105971.998796422, 2: '#AFAAA5', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-3083y614z', 5: '#9292A1', 6: 3305, 7: 1, 8: 3300, 9: 0, 10: 4, 11: '{started; sense-of-SuperCluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-3083y614z', 18: '1001x-3083y614z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[5][2]["-1x1y1z"] = {'4xi': {}, '2xi': {1: 5, 2: 2, 3: {1: 6.283185307179586, 2: '#A29E9A', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y1z', 5: '#BA7525', 6: 5, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-5Skeleton4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y1z', 16: '-1x1y-1z', 17: '-1001x2946y1098z', 18: '-1006x1915y2357z', 19: 'zap0000five4xi.py'}, '8xi': {}}
SphereKB4Xi[5][3200]["-1006x1915y2357z"] = {'4xi': {}, '2xi': {1: 5, 2: 3200, 3: {1: 16084954.386379741, 2: '#A29E9A', 3: 1, 4: 16084954.386379741}, 4: 'dragon-1006x1915y2357z', 5: '#DF0101', 6: 3206, 7: 8, 8: 3200, 9: 0, 10: 5, 11: '{started; sense-of-Cluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1006x1915y2357z', 18: '-1006x1915y2357z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[5][3300]["-1001x2946y1098z"] = {'4xi': {}, '2xi': {1: 5, 2: 3300, 3: {1: 17105971.998796422, 2: '#A29E9A', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1001x2946y1098z', 5: '#0B6138', 6: 3306, 7: 1, 8: 3300, 9: 0, 10: 5, 11: '{started; sense-of-SuperCluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1001x2946y1098z', 18: '-1001x2946y1098z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][2]["-1x1y-1z"] = {'4xi': {}, '2xi': {1: 6, 2: 2, 3: {1: 6.283185307179586, 2: '#9A9591', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y-1z', 5: '#CB7C21', 6: 6, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-6Skeleton4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y1z', 16: '-1x-1y1z', 17: '-1029x2984y-961z', 18: '-25x5y-14z', 19: 'zap0000six4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-11x47y-49z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-11x47y-49z', 5: '#0080FF', 6: 1, 7: 17, 8: Decimal('68.78226515607058'), 9: Decimal('58'), 10: 6, 11: '{(Step 1/7a) started; init-of-DummyProcess4Xi-started: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '-12x13y-7z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-12x13y-7z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-12x13y-7z', 5: '#0080FF', 6: 2, 7: 17, 8: Decimal('19.026297590440446'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/7b) passed; group-passed-to-init-of-DummyProcess4Xi: None; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-11x47y-49z', 16: '-13x12y-7z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-13x12y-7z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-13x12y-7z', 5: '#0080FF', 6: 3, 7: 17, 8: Decimal('19.026297590440446'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/7c) passed; target-passed-to-init-of-DummyProcess4Xi: function f4xi at 0x0261A9C0; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-12x13y-7z', 16: '-13x12y-8z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-13x12y-8z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-13x12y-8z', 5: '#0080FF', 6: 4, 7: 17, 8: Decimal('19.4164878389476'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/7d) passed; name-passed-to-init-of-DummyProcess4Xi: None; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-13x12y-7z', 16: '-13x46y-50z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-13x46y-50z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-13x46y-50z', 5: '#0080FF', 6: 5, 7: 17, 8: Decimal('69.17369442208505'), 9: Decimal('59'), 10: 6, 11: '{(Step 1/7e) passed; args-passed-to-init-of-DummyProcess4Xi: (); time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-13x12y-8z', 16: '-14x10y-8z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-14x10y-8z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-14x10y-8z', 5: '#0080FF', 6: 6, 7: 17, 8: Decimal('18.973665961010276'), 9: Decimal('8'), 10: 6, 11: '{(Step 1/7f) passed; kwargs-passed-to-init-of-DummyProcess4Xi: {}; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-13x46y-50z', 16: '-14x11y-8z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-14x11y-8z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-14x11y-8z', 5: '#0080FF', 6: 7, 7: 17, 8: Decimal('19.519221295943137'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/7g) borning; dummyprocess2xi-of-DummyProcess4Xi-borning: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-14x10y-8z', 16: '-15x45y-50z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-15x45y-50z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-15x45y-50z', 5: '#0080FF', 6: 8, 7: 17, 8: Decimal('68.92024376045111'), 9: Decimal('58'), 10: 6, 11: "{(Step 1/7h) inheriting; threading-Thread-inheriting-by-dummyprocess2xi-of-DummyProcess4Xi: class 'threading.Thread'; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-14x11y-8z', 16: '-15x8y-8z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-15x8y-8z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-15x8y-8z', 5: '#0080FF', 6: 9, 7: 17, 8: Decimal('18.788294228055936'), 9: Decimal('8'), 10: 6, 11: '{(Step 1/7i) sharing; is-alive-sharing-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.is_alive at 0x02292FA8; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-15x45y-50z', 16: '-15x9y-8z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-15x9y-8z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-15x9y-8z', 5: '#0080FF', 6: 10, 7: 17, 8: Decimal('19.235384061671343'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/7j) sharing; get-name-sharing-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.getName at 0x0221D150; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-15x8y-8z', 16: '-16x4y-9z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-16x4y-9z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-16x4y-9z', 5: '#0080FF', 6: 11, 7: 17, 8: Decimal('18.788294228055936'), 9: Decimal('8'), 10: 6, 11: '{(Step 1/7k) sharing; set-name-sharing-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.setName at 0x0221D198; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-15x9y-8z', 16: '-16x5y-9z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-16x5y-9z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-16x5y-9z', 5: '#0080FF', 6: 12, 7: 17, 8: Decimal('19.026297590440446'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/7l) sharing; is-daemon-sharing-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.isDaemon at 0x0221D0C0; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-16x4y-9z', 16: '-16x6y-9z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-16x6y-9z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-16x6y-9z', 5: '#0080FF', 6: 13, 7: 17, 8: Decimal('19.313207915827967'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/7m) sharing; set_daemon-sharing-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.setDaemon at 0x0221D108; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-16x5y-9z', 16: '-16x7y-9z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-16x7y-9z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-16x7y-9z', 5: '#0080FF', 6: 14, 7: 17, 8: Decimal('19.6468827043885'), 9: Decimal('9'), 10: 6, 11: '{(Step 2/7a) calling; Thread-init-calling-by-init-of-DummyProcess4Xi: function Thread.__init__ at 0x02292BB8; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-16x6y-9z', 16: '-17x44y-51z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-17x44y-51z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-17x44y-51z', 5: '#0080FF', 6: 15, 7: 17, 8: Decimal('69.46941773183363'), 9: Decimal('59'), 10: 6, 11: '{(Step 2/7b) performed; Thread-init-performed-by-init-of-DummyProcess4Xi: function Thread.__init__ at 0x02292BB8; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-16x7y-9z', 16: '-19x42y-51z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-19x42y-51z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-19x42y-51z', 5: '#0080FF', 6: 16, 7: 17, 8: Decimal('68.74590896918885'), 9: Decimal('58'), 10: 6, 11: '{set; ack2thread-set-by-init-of-DummyProcess4Xi to: True; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-17x44y-51z', 16: '-1x0y-59z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-1x0y-59z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-1x0y-59z', 5: '#0080FF', 6: 17, 7: 17, 8: Decimal('59.00847396772772'), 9: Decimal('49'), 10: 6, 11: '{(Step 3/7) set; dummyprocess2xi-pid-set-by-init-of-DummyProcess4Xi to: None; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-19x42y-51z', 16: '-1x11y-27z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-1x11y-27z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-1x11y-27z', 5: '#0080FF', 6: 18, 7: 17, 8: Decimal('29.171904291629644'), 9: Decimal('19'), 10: 6, 11: '{(Step 4/7) set; dummyprocess2xi-children-set-by-init-of-DummyProcess4Xi to: WeakKeyDictionary at 39833168; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-1x0y-59z', 16: '-1x9y-2z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-1x9y-2z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-1x9y-2z', 5: '#0080FF', 6: 19, 7: 17, 8: Decimal('9.273618495495704'), 9: Decimal('0'), 10: 6, 11: '{(Step 5/7) set; dummyprocess2xi-start-called-set-by-init-of-DummyProcess4Xi to: False; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-1x11y-27z', 16: '-25x0y-15z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-25x0y-15z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-25x0y-15z', 5: '#0080FF', 6: 20, 7: 17, 8: Decimal('29.154759474226502'), 9: Decimal('19'), 10: 6, 11: '{(Step 6/7a) calling; current_dummy_process: function current_thread at 0x0221D348; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-1x9y-2z', 16: '-25x1y-15z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-25x1y-15z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-25x1y-15z', 5: '#0080FF', 6: 21, 7: 17, 8: Decimal('29.171904291629644'), 9: Decimal('19'), 10: 6, 11: '{(Step 6/7b) set; dummyprocess2xi-parent-set-by-init-of-DummyProcess4Xi to: _MainThread(MainThread, started 1772); time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-25x0y-15z', 16: '-25x2y-15z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-25x2y-15z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-25x2y-15z', 5: '#0080FF', 6: 22, 7: 17, 8: Decimal('29.223278392404914'), 9: Decimal('19'), 10: 6, 11: "{(Step 7/7a) inherited; threading-Thread-inherited-by-dummyprocess2xi-of-DummyProcess4Xi: class 'threading.Thread'; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-25x1y-15z', 16: '-25x3y-14z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-25x3y-14z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-25x3y-14z', 5: '#0080FF', 6: 23, 7: 17, 8: Decimal('28.809720581775867'), 9: Decimal('18'), 10: 6, 11: '{(Step 7/7b) activated; dummyprocess2xi-of-DummyProcess4Xi-activated: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-25x2y-15z', 16: '-25x46y-59z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-25x46y-59z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-25x46y-59z', 5: '#0080FF', 6: 24, 7: 17, 8: Decimal('78.87965517166008'), 9: Decimal('68'), 10: 6, 11: '{(Step 7/7c) shared; is-alive-shared-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.is_alive at 0x02292FA8; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-25x3y-14z', 16: '-25x5y-14z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-25x5y-14z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-25x5y-14z', 5: '#0080FF', 6: 25, 7: 17, 8: Decimal('29.086079144497972'), 9: Decimal('19'), 10: 6, 11: '{(Step 7/7d) shared; get-name-shared-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.getName at 0x0221D150; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-25x46y-59z', 16: '-27x45y-60z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-27x45y-60z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-27x45y-60z', 5: '#0080FF', 6: 26, 7: 17, 8: Decimal('79.71198153351854'), 9: Decimal('69'), 10: 6, 11: '{(Step 7/7e) shared; set-name-shared-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.setName at 0x0221D198; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-25x5y-14z', 16: '-29x43y-60z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-29x43y-60z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-29x43y-60z', 5: '#0080FF', 6: 27, 7: 17, 8: Decimal('79.30952023559341'), 9: Decimal('69'), 10: 6, 11: '{(Step 7/7f) shared; is-daemon-shared-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.isDaemon at 0x0221D0C0; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-27x45y-60z', 16: '-2x11y-27z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-2x11y-27z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-2x11y-27z', 5: '#0080FF', 6: 28, 7: 17, 8: Decimal('29.223278392404914'), 9: Decimal('19'), 10: 6, 11: '{(Step 7/7g) shared; set-daemon-shared-by-dummyprocess2xi-of-DummyProcess4Xi: function Thread.setDaemon at 0x0221D108; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-29x43y-60z', 16: '-2x9y-2z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-2x9y-2z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-2x9y-2z', 5: '#0080FF', 6: 29, 7: 17, 8: Decimal('9.433981132056603'), 9: Decimal('0'), 10: 6, 11: '{(Step 7/7h) returning; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: '__init__-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-2x11y-27z', 16: '-42x42y-1z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-2x9y-3z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-2x9y-3z', 5: '#0080FF', 6: 44, 7: 17, 8: Decimal('9.695359714832659'), 9: Decimal('0'), 10: 6, 11: '{started; reason-of-DummyProcess4Xi-started: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-40x44y0z', 16: '-31x41y-61z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-31x41y-61z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-31x41y-61z', 5: '#0080FF', 6: 45, 7: 17, 8: Decimal('79.76841480184999'), 9: Decimal('69'), 10: 6, 11: "{reasoning; dummyprocess4xi-reasoning-by-reason-of-DummyProcess4Xi: class 'dummyprocess4xi.DummyProcess4Xi'; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-2x9y-3z', 16: '-32x38y-61z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-32x38y-61z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-32x38y-61z', 5: '#0080FF', 6: 46, 7: 17, 8: Decimal('78.67019766086774'), 9: Decimal('68'), 10: 6, 11: "{got; kb4xi-got-by-reason-of-DummyProcess4Xi: {'object-reason-object4xi': DummyProcess4Xi(Thread-1, stopped 1740)}; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-31x41y-61z', 16: '-34x36y-62z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-34x36y-62z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-34x36y-62z', 5: '#0080FF', 6: 47, 7: 17, 8: Decimal('79.3473376995095'), 9: Decimal('69'), 10: 6, 11: "{reasoned; dummyprocess4xi-reasoned-by-reason-of-DummyProcess4Xi: class 'dummyprocess4xi.DummyProcess4Xi'; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-32x38y-61z', 16: '-35x34y-62z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-35x34y-62z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-35x34y-62z', 5: '#0080FF', 6: 48, 7: 17, 8: Decimal('78.8986691902975'), 9: Decimal('68'), 10: 6, 11: "{returning; kb4xi-returning-by-reason-of-DummyProcess4Xi: {'object-reason-object4xi': DummyProcess4Xi(Thread-1, stopped 1740)}; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-34x36y-62z', 16: '-35x48y0z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-35x48y0z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-35x48y0z', 5: '#0080FF', 6: 49, 7: 17, 8: Decimal('59.405386961116584'), 9: Decimal('49'), 10: 6, 11: '{started; reason-of-DummyProcess4Xi-started: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-35x34y-62z', 16: '-36x32y-63z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-36x32y-63z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-36x32y-63z', 5: '#0080FF', 6: 50, 7: 17, 8: Decimal('79.30321557162736'), 9: Decimal('69'), 10: 6, 11: "{reasoning; dummyprocess4xi-reasoning-by-reason-of-DummyProcess4Xi: class 'dummyprocess4xi.DummyProcess4Xi'; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-35x48y0z', 16: '-37x46y0z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-37x46y0z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-37x46y0z', 5: '#0080FF', 6: 51, 7: 17, 8: Decimal('59.033888572581766'), 9: Decimal('49'), 10: 6, 11: "{got; kb4xi-got-by-reason-of-DummyProcess4Xi: {'object-reason-object4xi': DummyProcess4Xi(Thread-1, stopped 1740)}; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-36x32y-63z', 16: '-38x29y-63z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-38x29y-63z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-38x29y-63z', 5: '#0080FF', 6: 52, 7: 17, 8: Decimal('79.08223567907018'), 9: Decimal('69'), 10: 6, 11: "{reasoned; dummyprocess4xi-reasoned-by-reason-of-DummyProcess4Xi: class 'dummyprocess4xi.DummyProcess4Xi'; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-37x46y0z', 16: '-39x24y-64z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-39x24y-64z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-39x24y-64z', 5: '#0080FF', 6: 53, 7: 17, 8: Decimal('78.6956161421969'), 9: Decimal('68'), 10: 6, 11: "{returning; kb4xi-returning-by-reason-of-DummyProcess4Xi: {'object-reason-object4xi': DummyProcess4Xi(Thread-1, stopped 1740)}; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'reason-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-38x29y-63z', 16: '+0x+0y+0z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-39x27y-64z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-39x27y-64z', 5: '#0080FF', 6: 38, 7: 17, 8: Decimal('79.66178506661774'), 9: Decimal('69'), 10: 6, 11: '{started; sense-of-DummyProcess4Xi-started: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'sense-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-50x32y-3z', 16: '-3x10y-27z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-3x10y-27z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-3x10y-27z', 5: '#0080FF', 6: 39, 7: 17, 8: Decimal('28.948229652260256'), 9: Decimal('18'), 10: 6, 11: "{sensing; dummyprocess4xi-sensing-by-sense-of-DummyProcess4Xi: class 'dummyprocess4xi.DummyProcess4Xi'; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'sense-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-39x27y-64z', 16: '-3x8y-3z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-3x8y-3z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-3x8y-3z', 5: '#0080FF', 6: 40, 7: 17, 8: Decimal('9.055385138137417'), 9: Decimal('0'), 10: 6, 11: "{got; kb2xi-got-by-sense-of-DummyProcess4Xi: {'object': DummyProcess4Xi(Thread-1, stopped 1740)}; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'sense-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-3x10y-27z', 16: '-3x9y-28z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-3x9y-28z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-3x9y-28z', 5: '#0080FF', 6: 41, 7: 17, 8: Decimal('29.563490998188964'), 9: Decimal('19'), 10: 6, 11: "{yielded; kb2xi-yielded-by-sense-of-DummyProcess4Xi: {'object': DummyProcess4Xi(Thread-1, stopped 1740)}; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'sense-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-3x8y-3z', 16: '-40x22y-65z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-40x22y-65z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-40x22y-65z', 5: '#0080FF', 6: 42, 7: 17, 8: Decimal('79.42921376924235'), 9: Decimal('69'), 10: 6, 11: "{sensed; dummyprocess4xi-sensed-by-sense-of-DummyProcess4Xi: class 'dummyprocess4xi.DummyProcess4Xi'; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'sense-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-3x9y-28z', 16: '-40x44y0z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-40x44y0z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-40x44y0z', 5: '#0080FF', 6: 43, 7: 17, 8: Decimal('59.464274989274024'), 9: Decimal('49'), 10: 6, 11: "{returning; kb2xi-returning-by-sense-of-DummyProcess4Xi: {'object': DummyProcess4Xi(Thread-1, stopped 1740)}; time: 01:17:56 04/07/14 Pacific Daylight Time}", 12: 'sense-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-40x22y-65z', 16: '-2x9y-3z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-42x42y-1z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-42x42y-1z', 5: '#0080FF', 6: 30, 7: 17, 8: Decimal('59.405386961116584'), 9: Decimal('49'), 10: 6, 11: '{(Step 1/6) started; start-of-DummyProcess4Xi-started: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-2x9y-2z', 16: '-44x40y-1z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-44x40y-1z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-44x40y-1z', 5: '#0080FF', 6: 31, 7: 17, 8: Decimal('59.472682804797024'), 9: Decimal('49'), 10: 6, 11: '{(Step 2/6a) asserted; dummyprocess2xi-parent-asserted-by-start-of-DummyProcess4Xi: _MainThread(MainThread, started 1772); time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-42x42y-1z', 16: '-46x22y-73z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-46x22y-73z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-46x22y-73z', 5: '#0080FF', 6: 32, 7: 17, 8: Decimal('89.04493247793498'), 9: Decimal('79'), 10: 6, 11: '{set; ack2parent-set-by-start-of-DummyProcess4X to: True; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-44x40y-1z', 16: '-46x37y-2z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-46x37y-2z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-46x37y-2z', 5: '#0080FF', 6: 33, 7: 17, 8: Decimal('59.06775770248944'), 9: Decimal('49'), 10: 6, 11: '{(Step 3/6) set; dummyprocess2xi-start-called-set-by-start-of-DummyProcess4Xi to: True; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-46x22y-73z', 16: '-48x35y-3z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-48x35y-3z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-48x35y-3z', 5: '#0080FF', 6: 34, 7: 17, 8: Decimal('59.481089431852205'), 9: Decimal('49'), 10: 6, 11: '{(Step 4/6) set; dummyprocess2xi-parent-children-set-by-start-of-DummyProcess4Xi to: None; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-46x37y-2z', 16: '-4x8y-3z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-4x8y-3z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-4x8y-3z', 5: '#0080FF', 6: 35, 7: 17, 8: Decimal('9.433981132056603'), 9: Decimal('0'), 10: 6, 11: '{(Step 5/6a) performed; Thread-start-performed-by-start-of-DummyProcess4Xi: function Thread.start at 0x02292C90; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-48x35y-3z', 16: '-4x9y-28z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-4x9y-28z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-4x9y-28z', 5: '#0080FF', 6: 36, 7: 17, 8: Decimal('29.68164415931166'), 9: Decimal('19'), 10: 6, 11: '{set; ack2start-set-by-start-of-DummyProcess4Xi to: True; time: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-4x8y-3z', 16: '-50x32y-3z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][10]["-50x32y-3z"] = {'4xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 53, 4: 2.9637666543299934}, 4: 'dragon-50x32y-3z', 5: '#0080FF', 6: 37, 7: 17, 8: Decimal('59.43904440685432'), 9: Decimal('49'), 10: 6, 11: '{(Step 6/6) returning; start-of-DummyProcess4Xi-returning: 01:17:56 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-4x9y-28z', 16: '-39x27y-64z', 17: '-39x24y-64z', 18: '-11x47y-49z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][3200]["-1002x1878y-2389z"] = {'4xi': {}, '2xi': {1: 6, 2: 3200, 3: {1: 16084954.386379741, 2: '#9A9591', 3: 54, 4: 297869.5256736989}, 4: 'dragon-1002x1878y-2389z', 5: '#4C7094', 6: 3230, 7: 30, 8: 3200, 9: 0, 10: 6, 11: '{started; sense-of-Cluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1002x1878y-2389z', 18: '-1002x1878y-2389z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[6][3300]["-1029x2984y-961z"] = {'4xi': {}, '2xi': {1: 6, 2: 3300, 3: {1: 17105971.998796422, 2: '#9A9591', 3: 54, 4: 316777.2592369708}, 4: 'dragon-1029x2984y-961z', 5: '#F55A5A', 6: 3307, 7: 1, 8: 3300, 9: 0, 10: 6, 11: '{started; sense-of-SuperCluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1029x2984y-961z', 18: '-1029x2984y-961z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[7][2]["-1x-1y1z"] = {'4xi': {}, '2xi': {1: 7, 2: 2, 3: {1: 6.283185307179586, 2: '#8B8783', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y1z', 5: '#DF841B', 6: 7, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-7Skeleton4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y-1z', 16: '-1x-1y-1z', 17: '-1009x-2675y1646z', 18: '-1089x-2838y998z', 19: 'zap0000seven4xi.py'}, '8xi': {}}
SphereKB4Xi[7][3200]["-1089x-2838y998z"] = {'4xi': {}, '2xi': {1: 7, 2: 3200, 3: {1: 16084954.386379741, 2: '#8B8783', 3: 1, 4: 16084954.386379741}, 4: 'dragon-1089x-2838y998z', 5: '#E14747', 6: 3232, 7: 32, 8: 3200, 9: 0, 10: 7, 11: '{started; sense-of-Cluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1089x-2838y998z', 18: '-1089x-2838y998z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[7][3300]["-1009x-2675y1646z"] = {'4xi': {}, '2xi': {1: 7, 2: 3300, 3: {1: 17105971.998796422, 2: '#8B8783', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1009x-2675y1646z', 5: '#EE4545', 6: 3308, 7: 1, 8: 3300, 9: 0, 10: 7, 11: '{started; sense-of-SuperCluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1009x-2675y1646z', 18: '-1009x-2675y1646z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[8][2]["-1x-1y-1z"] = {'4xi': {}, '2xi': {1: 8, 2: 2, 3: {1: 6.283185307179586, 2: '#7D7A77', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y-1z', 5: '#EE8712', 6: 8, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-8Skeleton4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y1z', 16: '1x1y1z', 17: '-1010x-495y-3102z', 18: '-100x-2126y-2388z', 19: 'zap0000eight4xi.py'}, '8xi': {}}
SphereKB4Xi[8][3200]["-100x-2126y-2388z"] = {'4xi': {}, '2xi': {1: 8, 2: 3200, 3: {1: 16084954.386379741, 2: '#EE8712', 3: 1, 4: 16084954.386379741}, 4: 'dragon-100x-2126y-2388z', 5: '#E9BBBB', 6: 3233, 7: 33, 8: 3200, 9: 0, 10: 8, 11: '{started; sense-of-Cluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-100x-2126y-2388z', 18: '-100x-2126y-2388z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
SphereKB4Xi[8][3300]["-1010x-495y-3102z"] = {'4xi': {}, '2xi': {1: 8, 2: 3300, 3: {1: 17105971.998796422, 2: '#EE8712', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1010x-495y-3102z', 5: '#DE9ABC', 6: 3309, 7: 1, 8: 3300, 9: 0, 10: 8, 11: '{started; sense-of-SuperCluster4Xi-started: 05:29:01 04/07/14 Pacific Daylight Time}', 12: 'start-of-DummyProcess4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1010x-495y-3102z', 18: '-1010x-495y-3102z', 19: 'dummyprocess4xi.py'}, '8xi': {}}
# -------------------------------------------------------------------------------------------------
#<note4xi note = "created automatically by zap2actor4xi.py 05:29:22 04/07/14 Pacific Daylight Time"/>
# -------------------------------------------------------------------------------------------------
ack2debug = False
if ack2debug is True:
    print("(Step 1A)/33) - TRYING TO PRINT SphereKB4Xi ")
    try:
        keys2direction = SphereKB4Xi.keys()
        for key2direction in sorted(keys2direction):
            if ack2debug is True:
                print("=" *70)
                print("DIRECTION: ", key2direction)
                print("=" *70)
            kb2layer = SphereKB4Xi[key2direction]
            keys2layer = kb2layer.keys()
            for key2layer in sorted(keys2layer):
                kb2node = SphereKB4Xi[key2direction] [key2layer]
                keys2node = kb2node.keys()
                for key2node in sorted(keys2node):
                    print("SphereKB4Xi[", key2direction, "][", key2layer, "][", key2node, "]: ", kb2node [key2node])
    except:
        print("(Step 1A)/33) *** FAILED to print SphereKB4Xi ")
#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   zap*4xi.py
#   test_zap2actor4xi.txt
#   also compiled with ack2debug = True
#"
#>
# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of dummy_process4xi_zap.py
# ------------------------------------------------------------------------------------------------- 
#"
#/>        
